%define upstream_name    Parse-RecDescent
%define upstream_version 1.967015

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A recursive descent parser generator for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.570.200
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced) >= 1.950.0
BuildArch:  noarch

%{?perl_default_filter}

%description
The Parse::RecDescent perl module is used to generate recursive descent
parsers from powerful grammar specifications.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%{__perl} -p -i -e 's|#!.*/usr/local/bin/perl|#!/usr/bin/perl|' `find . -name '*.pl'`
find -type f | xargs chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

# now in perl
rm -f %{buildroot}%{_mandir}/*/Text*

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{perl_vendorlib}/Parse
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.967.15-3.mga8
+ Revision: 1505896
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.967.15-2.mga7
+ Revision: 1285546
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 1.967.15-1.mga7
+ Revision: 1128878
- update to 1.967015

* Sun Jun 19 2016 pterjan <pterjan> 1.967.13-3.mga6
+ Revision: 1031748
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.967.13-2.mga6
+ Revision: 970025
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.967.13-1.mga6
+ Revision: 884772
- update to 1.967013

* Wed Oct 15 2014 umeabot <umeabot> 1.967.9-6.mga5
+ Revision: 739174
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.967.9-5.mga5
+ Revision: 733219
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.967.9-4.mga5
+ Revision: 685897
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.967.9-3.mga4
+ Revision: 513979
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.967.9-2.mga3
+ Revision: 371533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.967.9-1.mga3
+ Revision: 255292
- update to 1.967009

* Thu Feb 23 2012 jquelin <jquelin> 1.967.6-1.mga2
+ Revision: 213155
- update to 1.967006

* Thu Jan 20 2011 jquelin <jquelin> 1.965.1-1.mga1
+ Revision: 26810
- mageia rebuild
- imported package perl-Parse-RecDescent


* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 1.965.1-1mdv2010.1
+ Revision: 532155
- update to 1.965001

* Wed Feb 17 2010 Jérôme Quelin <jquelin@mandriva.org> 1.964.0-1mdv2010.1
+ Revision: 506943
- update to 1.964

* Thu Jan 21 2010 Jérôme Quelin <jquelin@mandriva.org> 1.963.0-1mdv2010.1
+ Revision: 494444
- update to 1.963

* Sat Aug 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.962.2-1mdv2010.0
+ Revision: 422082
- update to 1.962.2

* Fri Aug 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.962.1-1mdv2010.0
+ Revision: 421829
- update to 1.962.1

* Wed Aug 26 2009 Jérôme Quelin <jquelin@mandriva.org> 1.962.0-1mdv2010.0
+ Revision: 421386
- update to 1.962.0
- using %%perl_convert_version
- fixed license field

* Mon Feb 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.96.0-1mdv2009.1
+ Revision: 338703
- new version

* Fri Aug 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.95.1-1mdv2009.0
+ Revision: 272297
- new version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.94-9mdv2009.0
+ Revision: 223951
- rebuild

* Thu Jan 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.94-8mdv2008.1
+ Revision: 154208
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 1.94-7mdv2008.0
+ Revision: 67515
- rebuild


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.94-6mdv2007.0
+ Revision: 108468
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Parse-RecDescent

* Tue Oct 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.94-5mdk
- Rebuild, fix permissions, change summary

* Tue Aug 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.94-4mdk
- Rebuild for new perl
- Fix description
- Include tutorial

